Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
arbitrum
/
messages
/
claim
/
{message_id}
Get claim data for a withdrawal.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/arbitrum/messages/claim/{message_id} \
  --header 'Authorization: Bearer <token>'
{
  "calldata": "<string>",
  "outbox_address_hash": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

message_id
integer
required

Withdrawal message ID.

Required range: x >= 0
chain_id
string
required

The ID of the blockchain

Response

Claim data for the withdrawal.

Calldata and outbox contract address needed to execute a withdrawal on the Parent chain.

calldata
string
required

ABI-encoded calldata for the executeTransaction call.

outbox_address_hash
string
required

Address of the Arbitrum Outbox contract on the Parent chain through which the withdrawal is executed.

Pattern: ^0x([A-Fa-f0-9]{40})$